Skip to main content
POST
/
v1
/
tx
/
build
/
drep-registration
Build a DRep registration/deregistration transaction
curl --request POST \
  --url https://nexus-dev.gerowallet.io/v1/tx/build/drep-registration \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "drepCredentialHash": "<string>",
  "changeAddress": "<string>",
  "scriptCredential": true,
  "anchorUrl": "<string>",
  "anchorDataHash": "<string>",
  "deregister": true,
  "utxos": [
    {
      "txHash": "<string>",
      "address": "<string>",
      "lovelace": "<string>",
      "outputIndex": 1,
      "assets": [
        {
          "policyId": "<string>",
          "assetName": "<string>",
          "quantity": "<string>"
        }
      ],
      "dataHash": "<string>",
      "inlineDatum": "<string>",
      "referenceScriptHash": "<string>"
    }
  ],
  "senderAddress": "<string>",
  "ttl": 123
}
'
{
  "tx_cbor": "<string>",
  "tx_hash": "<string>",
  "estimated_fee": "<string>",
  "estimated_signatures": 123
}

Documentation Index

Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Token Authentication

Query Parameters

network
enum<string>
Available options:
MAINNET,
PREPROD

Body

application/json
drepCredentialHash
string
required
Required string length: 56
changeAddress
string
required
Maximum string length: 256
scriptCredential
boolean
anchorUrl
string
Maximum string length: 128
Pattern: ^https?://.*
anchorDataHash
string
Required string length: 64
deregister
boolean
utxos
object[]
Maximum array length: 200
senderAddress
string
network
enum<string>
Available options:
MAINNET,
PREPROD
ttl
integer<int64>

Response

DRep registration transaction built successfully

tx_cbor
string
tx_hash
string
estimated_fee
string
estimated_signatures
integer<int32>